<?php

namespace App\Entities;

use CodeIgniter\Entity\Entity;

abstract class CommonEntity extends Entity
{
    protected $datamap = [];
    protected $dates   = ['created_at', 'updated_at', 'deleted_at'];
    protected $casts   = [];

    public function __construct(array|null $data = null)
    {
        parent::__construct($data);
    }

    abstract public function __toString();
    abstract public function getPK();
    abstract public function getTitle();
    abstract public function setTitle(string $tile): void;
}
